DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# StringCopy

Copy a String

## SYNOPSIS

`#include "dip_string.h"`

dip_Error dip_StringCopy ( new, src, resources )

## FUNCTION

Thsi function copies string `src` to `new`.

## ARGUMENTS

Data type | Name | Description
`dip_String *` | `new` | Pointer to a destination `dip_String` strcture
`dip_String` | `src` | Source string
`dip_Resources` | `resources` | Resources tracking structure. See `ResourcesNew`

## SEE ALSO

`StringAppend`, `StringCat`, `StringCompare`, `StringCompareCaseInsensitive`, `StringCrop`, `StringNew`, `StringReplace`, `UnderscoreSpaces`